<h1 mat-dialog-title>{{ data.project ? "Update" : "Create new" }} project</h1>

<div mat-dialog-content [formGroup]="formGroup" style="overflow: visible;">
    <mat-form-field style="width: 100%;">
        <mat-label>Project Name</mat-label>
        <input matInput formControlName="name">
        <mat-error *ngIf="formGroup.get('name')!.value!.length != 0">Max length is {{Global.textFormFieldsLength}} characters.</mat-error>
    </mat-form-field>
    <mat-form-field style="width: 100%;">
        <mat-label>Project Description</mat-label>
        <textarea matInput formControlName="description" rows="7"></textarea>
        <mat-error *ngIf="formGroup.get('description')!.value!.length != 0">Max length is {{Global.textAreaFormFieldsLength}} characters.</mat-error>
    </mat-form-field>
</div>
<div mat-dialog-actions class="dialog-actions">
  <button mat-button (click)="this.dialogRef.close()">Exit</button>
  <button mat-button (click)="save()" [disabled]="!formGroup.valid" cdkFocusInitial>{{ data.project ? "Update" : "Create" }}</button>
  <mat-spinner
    #spinner
    [ngStyle]="{'display': spinnerVisible ? 'block' : 'none'}"
    style="width: 40px; margin-left: 20px;"
  ></mat-spinner>
  <button *ngIf="formGroup.value.id" mat-button (click)="deleteFromProfile()" [disabled]="!formGroup.valid" class="align-right" cdkFocusInitial>Delete from profile</button>
  <button *ngIf="formGroup.value.id" mat-button (click)="deleteForever()"     [disabled]="!formGroup.valid" class="align-right" cdkFocusInitial>Delete forever</button>
</div>
